# CDeviceDiscoverer Class Reference

List of all members.

## Public Member Functions
| ~CDeviceDiscoverer ()
void | DiscoverDevicesL (TDeviceDataList *aDevDataList)
TBool | HasDevices ()
void | StopDiscovery ()
## Static Public Member Functions
static CDeviceDiscoverer * | NewL (RSocketServ &aSocketServ, MDeviceDiscoObserver &aObserver)
static CDeviceDiscoverer * | NewLC (RSocketServ &aSocketServ, MDeviceDiscoObserver &aObserver)
## Protected Member Functions
void | RunL ()
void | DoCancel ()

## Detailed Description

Definition at line 41 of file DeviceDiscoverer.h.

## Constructor & Destructor Documentation

CDeviceDiscoverer::~CDeviceDiscoverer | ( |  | ) |

~CDeviceDiscoverer()

discussion Destroy the object and release all memory objects

Definition at line 56 of file DeviceDiscoverer.cpp.

## Member Function Documentation

CDeviceDiscoverer * CDeviceDiscoverer::NewL | ( | RSocketServ & | aSocketServ,
|  | MDeviceDiscoObserver & | aObserver |
| ) |  |  | `[static]`

NewL()

discussion Create new CDeviceDiscoverer object return a pointer to the created instance of CDeviceDiscoverer

Definition at line 10 of file DeviceDiscoverer.cpp.

CDeviceDiscoverer * CDeviceDiscoverer::NewLC | ( | RSocketServ & | aSocketServ,
|  | MDeviceDiscoObserver & | aObserver |
| ) |  |  | `[static]`

NewLC()

Definition at line 19 of file DeviceDiscoverer.cpp.

void CDeviceDiscoverer::DiscoverDevicesL | ( | TDeviceDataList * | aDevDataList | ) |

DiscoverDevicesL()

discussion Discovers remote bluetooth devices within range.

param aDevDataList device data list where the found devices will be placed.

Definition at line 70 of file DeviceDiscoverer.cpp.

TBool CDeviceDiscoverer::HasDevices | ( |  | ) |

HasDevices()

discussion any devices discovered?

return true if any devices were discovered.

Definition at line 151 of file DeviceDiscoverer.cpp.

void CDeviceDiscoverer::StopDiscovery | ( |  | ) |

StopDiscovery()

discussion Stops ongoing device discovery

Definition at line 178 of file DeviceDiscoverer.cpp.

void CDeviceDiscoverer::RunL | ( |  | ) | `[protected]`

RunL()

discussion Handle the active objects request completion.

Definition at line 106 of file DeviceDiscoverer.cpp.

void CDeviceDiscoverer::DoCancel | ( |  | ) | `[protected]`

DoCancel()

discussion Cancels the outstanding request on active object.

Definition at line 141 of file DeviceDiscoverer.cpp.